Summary:	Microsoft PE executable type detector
Summary(pl.UTF-8):	Detector typu plików wykonywalnych PE Microsoftu
Name:		binfmt-detector
Version:	0.2
Release:	6
License:	GPL
Group:		Base
Source0:	http://team.pld-linux.org/~wolf/%{name}.tar.gz
# Source0-md5:	d6e9d6d8888b58c97eb65875853fd778
Source1:	%{name}.init
Patch0:		spelling.patch
Patch1:		libdir.patch
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.3.0
Conflicts:	wine < 1:0.9.12-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This utility determines the Microsoft PE executable file's type
(Native, .NET CLR) and runs it using the appropriate runtime (Wine,
Mono).

It is inteded to be used in a Linux binfmt configuration, since binfmt
itself is incapable of reliably distinguishing between various PE file
types (since they have no different "magic string") and runtimes
refuse to run files which they don't support (CLR runtimes refuse to
run Native images and vice versa).

%description -l pl.UTF-8
To narzędzie określa typ pliku wykonywalnego PE Microsoftu (natywny,
.NET CLR) i uruchamia odpowiednie środowisko wykonawcze (Wine, Mono).

Jest używane w połączeniu z linuksowym binfmt, ponieważ samo binfmt
nie jest w stanie odróżnić różnych typów plików PE (nie zawierają one
różnych "magicznych ciągów"), a środowiska uruchomieniowe nie
pozwalają uruchomić nieobsługiwanych przez siebie plików (CLR nie
uruchamia natywnych obrazów i vice versa).

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__cc} %{rpmldflags} %{rpmcflags} binfmt-detector-cli.c -o binfmt-detector

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},/etc/rc.d/init.d}

install -p binfmt-detector $RPM_BUILD_ROOT%{_libdir}
install -p binfmt-detector.sh $RPM_BUILD_ROOT%{_bindir}/binfmt-detector
sed -i -e 's,/usr/lib,%{_libdir},' $RPM_BUILD_ROOT%{_bindir}/binfmt-detector
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/binfmt-detector

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add binfmt-detector
%service binfmt-detector restart

%preun
if [ "$1" = "0" ]; then
	%service binfmt-detector stop
	/sbin/chkconfig --del binfmt-detector
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}
%changelog
* Tue Aug 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/binfmt-detector.git;a=log;h=master

* Tue Aug 18 2015 Jan Rękorajski <baggins@pld-linux.org> d226ac7
- drop upstart support
- rel 6

* Sun Sep 25 2011 Elan Ruusamäe <glen@pld-linux.org> b95029a
- update upstart deps

* Sat Jul 30 2011 Elan Ruusamäe <glen@pld-linux.org> 0677bcc
- fix upstart config perms

* Sat Jul 30 2011 Elan Ruusamäe <glen@pld-linux.org> 81f9b57
- upstart controlled line (disabled for now)

* Thu Jul 21 2011 Elan Ruusamäe <glen@pld-linux.org> 7751052
- package upstart script

* Thu Jan 27 2011 Elan Ruusamäe <glen@pld-linux.org> e0d6b46
- upstart config
  however seems the mountpoint is namespaced, i.e not visible outside upstart
  process

* Sun Nov 22 2009 Elan Ruusamäe <glen@pld-linux.org> 2d9e1c1
- don't trash bindir, move -cli to libdir

* Sun Nov 22 2009 Elan Ruusamäe <glen@pld-linux.org> b80b2b1
- small typo

* Sun Nov 22 2009 Elan Ruusamäe <glen@pld-linux.org> 200160f
- don't trash bindir, move -cli to libdir; rel 3

* Sun Nov 22 2009 Elan Ruusamäe <glen@pld-linux.org> acaec71
- implement status

* Sun Nov 22 2009 Elan Ruusamäe <glen@pld-linux.org> 5b18dbd
- cosmetics, add try-restart; correct runlevel

* Sun Nov 22 2009 Elan Ruusamäe <glen@pld-linux.org> f358f55
- <= is evil, use <

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 413d8f1
- rel 2

* Sun May 06 2007 wolf <wolf@pld-linux.org> 7d24ca1
- some fixes suggested by qrczak

* Thu Mar 29 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 35c2054
- rel 6

* Thu Mar 29 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d915dd
- better version

* Thu Mar 29 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ec7582
- revert; it's more broken

* Wed Mar 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a3c0ea8
- rel 5; detect if register file exists

* Wed Mar 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c97f6ce
- check register file existence

* Tue Mar 27 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 580ec8e
- rel 4; don't start if no proc dir

